Package Gnumed :: Package wxpython :: Module gmTimer :: Class cTimer |
[frames] | no frames]

# Class cTimer

source code

    wx.Timer --+
               |
              cTimer

wx.Timer proxy.

It would be quite useful to tune the delay according to current network speed either at application startup or even during runtime.

Instance Methods
__init__(self, callback=None, delay=300, cookie=None) Set up our timer with reasonable defaults. | source code
Start(self, milliseconds=-1, oneShot=False) | source code
Notify(self) | source code
set_cookie(self, cookie=None) | source code

Method Details

### __init__(self, callback=None, delay=300, cookie=None) (Constructor) | source code
    Set up our timer with reasonable defaults.

    - delay default is 300ms as per Richard Terry's experience
    - delay should be tailored to network speed/user speed
    - <cookie> is passed to <callback> when <delay> is up